#pragma once
#include "struct.h"
#include "spritemoving.h"

#ifndef BITMAPNOTIFICATION_H
#define BITMAPNOTIFICATION_H

//Clase bitmapnotification
class BitmapNotification : public SpriteMoving
{
public:
	//Constructor
	BitmapNotification();

	//Inicializador
	void init(float x, float y, int w, int h, float velx, float vely, bool enabled, Uint16 enabledtimer, LTexture *texture, SDL_Renderer *renderer);

	//Obtiene el valor de la variable
	bool isEnabled();

	//Establece el valor de la variable
	void setEnabled(bool state);

	//Obtiene el valor de la variable
	Uint16 getEnabledTimer();

	//Establece el valor de la variable
	void setEnabledTimer(Uint16 time);

private:
	bool mEnabled;
	Uint16 mEnabledTimer;
};

#endif
